# Enum EditorReportSeverity

java.lang.Object
java.lang.Enum<EditorReportSeverity>
org.gradle.tooling.model.kotlin.dsl.EditorReportSeverity

All Implemented Interfaces:
  `Serializable, Comparable<EditorReportSeverity>, Constable`

public enum EditorReportSeverity extends Enum<EditorReportSeverity>
Severity of an editor report.

Since:
  6.0

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ERROR`
  `WARNING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static EditorReportSeverity`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static EditorReportSeverity[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### WARNING

    public static final EditorReportSeverity WARNING

  - ### ERROR

    public static final EditorReportSeverity ERROR

- ## Method Details

  - ### values

    public static EditorReportSeverity[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static EditorReportSeverity valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null